/*
 *    Copyright (C) 2017 Sobey Inc.
 *
 *    This program is free software: you can redistribute it and/or  modify
 *    it under the terms of the GNU Affero General Public License, version 3,
 *    as published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#pragma once

class CServerStatusManage
{
	typedef struct
	{
		BYTE			m_bFileNo;						  //ļ
		MF_SYS_FILETYPE m_bFileType;                      //ļͣ1ϵͳļ2ļ3Bļ4KVļ
		MF_SYS_FILECMD* m_pFileCMD;                       //ļ0ʾκδ1½ļ2ıļ·3ıļС
		long long		m_nFileSize;					  //ļС
		long long *		m_pLoadSize;					  //ļشСָ
	}VERNOXFILEDEF, *LPVERNOXFILEDEF;

public:
	CServerStatusManage(void);
	virtual ~CServerStatusManage(void);
protected:
	LPBYTE												m_pFileAddr;		//ڴļָ(ļָ+ļͷС)
	LPSYSTEMFILEHEAD									m_pMemoryFileHead;	//ڴӳļͷ(m_pMemoryFileHead = (MemoryFileHead*)m_pFileAddr)
	MFID												m_nMemoryShmId;		//
	VERNOXFILEDEF										m_arFile[256];

	int LoadMemDBFileData(LPSYSTEMBLOCKHEAD lpSystemBlockHead);
public:
	int Initialize();
	int GetProgressStatus(double &dblProgress, long long &nTotalFileSize, long long &nLoadFileSize);
	int UpdateFileStatus(BYTE &bFileNO);
	int GetFileProgressStatus(BYTE bFileNO, long long &nFileSize, long long &nLoadSize);
};
