/*
 *    Copyright (C) 2017 Sobey Inc.
 *
 *    This program is free software: you can redistribute it and/or  modify
 *    it under the terms of the GNU Affero General Public License, version 3,
 *    as published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once


// CMainTabObjectField Ի

class CMainTabObjectField : public CDialog
{
	DECLARE_DYNAMIC(CMainTabObjectField)

public:
	CMainTabObjectField(CWnd* pParent = NULL);   // ׼캯
	virtual ~CMainTabObjectField();

// Ի
	enum { IDD = IDD_MAINTAB_OBJECT_FILED };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧

	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

public:
	int m_nRow;
	int m_nCol;
	int m_nExistedCount;

public:
	CListCtrl m_listObject;
	CEdit m_editTemp;
	CComboBox m_cbTemp;

public:
	int CMessageBox(LPCTSTR lpText, UINT nType = (MB_OK|MB_SYSTEMMODAL))
	{
		return MessageBox(lpText, 0, nType);
	}

	void AddItem(CString strFirstColValue);

	void DeleteItem();

	void SetExistedCount(int nCount);

public:
	afx_msg void OnNMClickListObject(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnKillfocusEditTemp();
	afx_msg void OnCbnKillfocusComboTemp();
protected:
	virtual void OnCancel();
	virtual void OnOK();
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
};
