/*
 *    Copyright (C) 2017 Sobey Inc.
 *
 *    This program is free software: you can redistribute it and/or  modify
 *    it under the terms of the GNU Affero General Public License, version 3,
 *    as published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// SobeyMemTool.cpp : ӦóΪ
//

#include "stdafx.h"
#include "SobeyMemTool.h"
#include "SobeyMemToolDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

extern HINSTANCE g_hVernoxInstance;
ISobeyDBConnectionPtr g_pSobeyInterface;

// CSobeyMemToolApp

BEGIN_MESSAGE_MAP(CSobeyMemToolApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CSobeyMemToolApp 

CSobeyMemToolApp::CSobeyMemToolApp()
{
	m_hRichEdit = NULL;
	// TODO: ڴ˴ӹ룬
	// Ҫĳʼ InitInstance 
}


// Ψһһ CSobeyMemToolApp 

CSobeyMemToolApp theApp;


// CSobeyMemToolApp ʼ

BOOL CSobeyMemToolApp::InitInstance()
{
//TODO: call AfxInitRichEdit2() to initialize richedit2 library.
	// һ Windows XP ϵӦó嵥ָҪ
	// ʹ ComCtl32.dll 汾 6 ߰汾ÿӻʽ
	//Ҫ InitCommonControlsEx()򣬽޷ڡ
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// ΪҪӦóʹõ
	// ؼࡣ
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	AfxEnableControlContainer();

	AfxInitRichEdit2();
	m_hRichEdit = LoadLibrary(_T("RICHED20.DLL"));
	// ׼ʼ
	// δʹЩܲϣС
	// տִļĴСӦƳ
	// Ҫضʼ
	// ڴ洢õע
	// TODO: Ӧʵ޸ĸַ
	// ޸Ϊ˾֯
	SetRegistryKey(_T("SobeyMemTool"));

	//ʼsocket
	//Ҫõ
	WORD		wVersionRequested;   
	WSADATA		wsaData;
	wVersionRequested = MAKEWORD(2, 0);
	WSAStartup(wVersionRequested, &wsaData);

	g_hVernoxInstance = m_hInstance;

	CSobeyMemToolDlg dlg;
	m_pMainWnd = &dlg;

	int nRet;
	INT_PTR nResponse;
	CString strText;

	nRet = g_pSobeyInterface.CreateInstance();
	if(nRet != MF_OK)
	{
		MessageBox(NULL, _T("ڴݿʧܣ"), 0, MB_OK|MB_SYSTEMMODAL);
		g_pSobeyInterface.Release();
		return FALSE;
	}

	while (TRUE)
	{
		if (IDOK == dlg.m_dlgLogin.DoModal())
		{
			nRet = g_pSobeyInterface->Open(dlg.m_dlgLogin.m_cConnectName, dlg.m_dlgLogin.m_cUserID, dlg.m_dlgLogin.m_cUserPW);
			if (MF_OK == nRet)
			{
				break;
			}
			else
			{
				strText.Format(_T("¼ʧܣ룺%d%s"), nRet, GetErrorWDescription(nRet));
				MessageBox(NULL, strText, 0, MB_OK|MB_SYSTEMMODAL);
				continue;
			}
		} 
		else
		{
			//˳
			g_pSobeyInterface->Close();
			g_pSobeyInterface.Release();
 			return FALSE;
		}
	}

	nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: ڴ˷ôʱ
		//  ȷرնԻĴ
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: ڴ˷ôʱ
		//  ȡرնԻĴ
	}

	


	// ڶԻѹرգԽ FALSE Ա˳Ӧó
	//  ӦóϢá
	g_pSobeyInterface->Close();
	g_pSobeyInterface.Release();
	return FALSE;
}


int CSobeyMemToolApp::ExitInstance()
{
	if(m_hRichEdit != NULL)
	{
		FreeLibrary(m_hRichEdit);
		m_hRichEdit = NULL;
	}
	return CWinApp::ExitInstance();
}