﻿/*
 *    Copyright (C) 2017 Sobey Inc.
 *
 *    This program is free software: you can redistribute it and/or  modify
 *    it under the terms of the GNU Affero General Public License, version 3,
 *    as published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#pragma once
#include <string>
using namespace std;
class CMFString : public string
{
public:
	CMFString(void);
	CMFString(char* pData);
	CMFString(const char* pData);
	~CMFString(void);
public:
	//继承重载运算符
	using string::operator =;
	using string::operator [];
public:
	void Format(const char *fmt, ... );
	int CompareNoCase(const CMFString & chDest);
	int CompareNoCase(const char* chDest);
	int Replace(const char* chOld, const char* chNew);
	void MakeUpper();
	void MakeLower();
};
