﻿// stdafx.h : 标准系统包含文件的包含文件，
// 或是经常使用但不常更改的
// 特定于项目的包含文件
//

#pragma once

#define WIN32_LEAN_AND_MEAN             // 从 Windows 头中排除极少使用的资料
#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS      // 某些 CString 构造函数将是显式的

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN            // 从 Windows 头中排除极少使用的资料
#endif

// 如果您必须使用下列所指定的平台之前的平台，则修改下面的定义。
// 有关不同平台的相应值的最新信息，请参考 MSDN。
#ifndef WINVER				// 允许使用特定于 Windows 95 和 Windows NT 4 或更高版本的功能。
#define WINVER 0x0501		// 将此更改为针对于 Windows 98 和 Windows 2000 或更高版本的合适的值。
#endif

#ifndef _WIN32_WINNT		// 允许使用特定于 Windows NT 4 或更高版本的功能。
#define _WIN32_WINNT 0x0501	// 将此更改为针对于 Windows 2000 或更高版本的合适的值。
#endif						

#ifndef _WIN32_WINDOWS		// 允许使用特定于 Windows 98 或更高版本的功能。
#define _WIN32_WINDOWS 0x0501 // 将此更改为针对于 Windows Me 或更高版本的合适的值。
#endif

#ifndef _WIN32_IE			// 允许使用特定于 IE 4.0 或更高版本的功能。
#define _WIN32_IE 0x0501	// 将此更改为针对于 IE 5.0 或更高版本的合适的值。
#endif

//屏蔽C语言警告信息
#define _CRT_SECURE_NO_WARNINGS

#include <set>
#include <map>
#include <vector>
#include <stack>
#include <queue>
using namespace std;

#ifdef WIN32
#include <afx.h>
#include <afxwin.h>         // MFC 核心组件和标准组件
#include <comdef.h>
#include "math.h"
#include "afxtempl.h"
#include "atlcomtime.h"
#include <io.h>
#include <process.h> 
#include <winsock2.h>
#include "..\Include\SobeyMemBaseExport.h"
#include "MemDBCommonDef.h"
#else
#include <errno.h>
#include <strings.h>
#include <fcntl.h>
#include <stdarg.h>
#include <stdio.h>
#include <time.h>
#include <semaphore.h>
#include <pthread.h>
#include <sys/shm.h>
#include <sys/time.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include "../Include/SobeyMemBaseExport.h"
#include "../Include/MemDBCommonDef.h"
#include "../VernoxBaseLib/CommonBaseAPI.h"
#endif

#include "ServiceCommonDef.h"
#include "BaseMemoryFile.h"
#include "CommonAPI.h"
#include "ServiceBson.h"
#include "ExecutePlanManager.h"
#include "DataIDContainer.h"
#include "ExecuteDataID.h"
#include "TempDataID.h"

// TODO: 在此处引用程序需要的其他头文件
//#define VLD_FORCE_ENABLE
//#include<vld.h>
