/*
 *    Copyright (C) 2017 Sobey Inc.
 *
 *    This program is free software: you can redistribute it and/or  modify
 *    it under the terms of the GNU Affero General Public License, version 3,
 *    as published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// MainMenuFile.cpp : ʵļ
//

#include "stdafx.h"
#include "SobeyMemTool.h"
#include "SobeyMemToolDlg.h"		//Ѿ MainMenuFile.h
#include "MainMenuFile.h"
//#include "MainMenuFile.h"


// CMainMenuFile Ի

IMPLEMENT_DYNAMIC(CMainMenuFile, CDialog)

CMainMenuFile::CMainMenuFile(CWnd* pParent /*=NULL*/)
	: CDialog(CMainMenuFile::IDD, pParent)
{

}

CMainMenuFile::~CMainMenuFile()
{
}

void CMainMenuFile::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CMainMenuFile, CDialog)
	ON_BN_CLICKED(IDC_BTN_NEW_QUERY, &CMainMenuFile::OnBnClickedBtnNewQuery)
END_MESSAGE_MAP()


// CMainMenuFile Ϣ

void CMainMenuFile::OnBnClickedBtnNewQuery()
{
	CSobeyMemToolDlg *pParent;
	pParent = (CSobeyMemToolDlg*)GetParent()->GetParent();
	pParent->CreateNewMainTabPage(MF_TABPAGE_TYPE_QUERY);
}

void CMainMenuFile::OnOK()
{
	//CDialog::OnOK();
}

void CMainMenuFile::OnCancel()
{
	//CDialog::OnCancel();
}

